#
# spec file for package fstobdf
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fstobdf
Version:        1.0.6
Release:        bp154.1.23
Summary:        Program to read a font from an X font server
License:        MIT
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libfs)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproto) >= 7.0.17
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The fstobdf program reads a font from a font server and prints a BDF
file on the standard output that may be used to recreate the font.
This is useful in testing servers, debugging font metrics, and
reproducing lost BDF files.


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/fstobdf
%{_mandir}/man1/fstobdf.1%{?ext_man}

%changelog
* Sat Jan  3 2015 tobias.johannes.klausmann@mni.thm.de
- Update to version 1.0.6:
  This minor maintenance release provides the usual set of
  accumulated build configuration improvements, compiler warning
  fixes, and other janitorial cleanups.
* Mon Apr 23 2012 vuntz@opensuse.org
- Update to version 1.0.5:
  + Compiler warning fixes.
  + Janitorial cleanups.
  + Build configuration improvements.
- Add pkgconfig(xproto) BuildRequires: new dependency upstream.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split fstobdf from xorg-x11. Initial version: 1.0.4.
